summaryrefslogtreecommitdiffstats
path: root/jjb/csit
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/csit')
-rw-r--r--jjb/csit/csit.yaml56
-rw-r--r--jjb/csit/include-raw-csit-ligato-perf-hw.sh21
2 files changed, 77 insertions, 0 deletions
diff --git a/jjb/csit/csit.yaml b/jjb/csit/csit.yaml
index 0680590be..5ead56c97 100644
--- a/jjb/csit/csit.yaml
+++ b/jjb/csit/csit.yaml
@@ -22,6 +22,7 @@
jobs:
- 'csit-dpdk-perf-{stream}-{type}'
- 'csit-vpp-perf-{stream}-{type}'
+ - 'csit-ligato-perf-{stream}-{type}'
- 'csit-vpp-functional-{stream}-{os}-virl'
- 'csit-vpp-verify-{stream_timed}-{os}-weekly'
- 'csit-vpp-verify-{stream_timed}-{os}-semiweekly'
@@ -1230,6 +1231,61 @@
maven-version: 'mvn33-new'
- job-template:
+ name: 'csit-ligato-perf-{stream}-{type}'
+
+ project-type: freestyle
+ node: 'ubuntu1604-basebuild-4c-4g'
+ concurrent: true
+
+ logrotate:
+ daysToKeep: '{build-days-to-keep}'
+ numToKeep: '{build-num-to-keep}'
+ artifactDaysToKeep: '{build-artifact-days-to-keep}'
+ artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+ parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
+ - type-parameter:
+ type: '{type}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: '$GERRIT_REFSPEC'
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers-non-activity-timeout:
+ build-timeout: 30
+
+ triggers:
+ - gerrit-trigger-manually-triggered:
+ name: '{project}'
+ branch: '{branch}'
+ comment-trigger-value: 'verify-perf-ligato-{type}'
+
+ builders:
+ - shell:
+ !include-raw-escape: jjb/csit/include-raw-csit-ligato-perf-hw.sh
+
+ publishers:
+ - archive-artifacts:
+ artifacts: 'archive/*.*'
+ latest-only: false
+
+ - robot:
+ output-path: archive
+ other-files:
+ - '*.*'
+
+ - fdio-infra-shiplogs:
+ maven-version: 'mvn33-new'
+
+
+- job-template:
name: 'csit-vpp-verify-{stream_timed}-{os}-weekly'
description: 'Purpose of this job is to validate CSIT code of corresponding branch against verified vpp build from corresponding branch.'
diff --git a/jjb/csit/include-raw-csit-ligato-perf-hw.sh b/jjb/csit/include-raw-csit-ligato-perf-hw.sh
new file mode 100644
index 000000000..bd1c2f888
--- /dev/null
+++ b/jjb/csit/include-raw-csit-ligato-perf-hw.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+export TEST_TAG="PERFTEST_${TYPE^^}"
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf-ligato.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf-ligato.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf-ligato.sh is executable
+chmod +x bootstrap-verify-perf-ligato.sh
+
+# get commit ID from name of stable ver
+VPP_BUILD_COMMIT="$( expr match `cat VPP_STABLE_VER_UBUNTU` '.*g\(.*\)~.*' )"
+
+# run the script
+./bootstrap-verify-perf-ligato.sh ${VPP_BUILD_COMMIT}
+
+# vim: ts=4 ts=4 sts=4 et :